Description

History

#1 - 11/23/2017 03:35 PM - Tibaldo Luigi

- Assigned To set to Tibaldo Luigi

#2 - 11/24/2017 12:10 PM - Tibaldo Luigi

- Status changed from New to In Progress

- % Done changed from 0 to 30

Added basic functionality:

1) function to set On/Off flag and query parameters of On/Off analysis in the support/ctool class

2) function to generate On/Off observations in obsutils

3) On/Off option in cslightcrv

The status is functional.

I will include in this task the modifications to have an On/Off option in csphasecrv since it is the same task in essence.

Testing is problematic due to issues with time selection internally in cslightcrv, possibly related to the ctselect issue #2272. I will investigate.

#3 - 11/24/2017 02:12 PM - Tibaldo Luigi

Time selection issues were due to a mistake on my side in passing the time values.

Will proceed to testing and documentation.

#4 - 11/24/2017 05:00 PM - Tibaldo Luigi

- % Done changed from 30 to 50

Test and debugging of cslightcrv. Modified also Reference manual.

Next week:

- check other pieces of documentation that may require updates

- duplicate for csphasecrv

#5 - 11/27/2017 04:33 PM - Tibaldo Luigi

- Status changed from In Progress to Pull request
- % Done changed from 50 to 100

Summary: cslightcrv and csphasecrv require a "method" parameter, that can be set either to CUBE for the 3D likelihood analysis or to ONOFF for the

classical 1D analysis with background from Off regions. The user documentation was updated accordingly. The test routines were updated to include

checks on the On/Off analysis.

Modified files:

- common methods to query On/Off analysis parameters and generate On/Off observations containers (cscripts/obsutils.py, pyext/ctool.i,

src/support/ctool.cpp, src/support/ctool.hpp), and placeholder for test (test/test_cscript.py)

- cslightcrv: script (cscripts/cslightcrv.par, cscripts/cslightcrv.py), test (test/test_cslightcrv.py), documentation

(doc/source/users/reference_manual/cslightcrv.rst, doc/source/users/tutorials/howto/howto_lightcurve.rst)

- csphasecrv: script (cscripts/csphasecrv.par, cscripts/csphasecrv.py), test (test/test_csphasecrv.py), documentation

(doc/source/users/reference_manual/csphasecrv.rst)

- common test data: phased events for off-axis observations (test/data/crab_offaxis1.fits.gz), and xml model for On/Off likelihood

(test/data/crab_onoff.xml)

Various and sundry:

- if on-axis observations are used the On/Off analysis based on the reflected-background estimator returns empty observation containers for fitting,

and when this was happening the script would query a new observation container (or hang in non interactive mode); the code in the PR handles this

by skipping the likelihood fitting, and filling the results table with zeros; the implementation is different in cslightcrv and csphasecrv, and follows the

original implementation of the table filling;

- the original tests on cslightcrv and csphasecrv were checking only the structure of the results FITS files, and ignoring the content; I added a check

on the order of magnitude of the Prefactor parameter to make sure the tables are properly filled.

#6 - 11/28/2017 03:13 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed

- Target version set to 1.5.0

Merged into devel.

As discussed with Luigi, I changed the CUBE parameter value to 3D.
